import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Split } from './components/split';
export var SplitComponent = Intact.decorate(Split, 'k-split');
var components = [SplitComponent];
var SplitModule = /** @class */ (function () {
    function SplitModule() {
    }
    SplitModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], SplitModule);
    return SplitModule;
}());
export { SplitModule };